/* ---------------------- blink.c ---------------------------

   Das "Hallo Welt" der Microcontroller: Blinkende LED fuer
   ATtiny13

   MCU:   ATtiny13
   Takt:  intern 9.6 MHz

   Fuses:
     lo: 7Ah
     hi: FFh


   01.10.2024 R. Seelig
   ---------------------------------------------------------- */

/*
                               ATtiny13 Pins

                               +-----------+
          /reset - PB5 - ADC0  | 1       8 |  Vcc
                   PB3 - CLKI  | 2       7 |  PB2 - SCK - ADC1
                   PB4 - ADC2  | 3       6 |  PB1 - MISO
                          GND  | 4       5 |  PB0 - MOSI
                               +-----------+
*/


#include <util/delay.h>
#include <avr/io.h>


#include "avr_gpio.h"        // fuer einfacheres Ansprechen
                             // der Portpins

// Led an PB4 anschliessen

#define led_init()     PB4_output_init()
#define led_clr()      PB4_set()
#define led_set()      PB54clr()


#define delay          _delay_ms

#define blkspeed_high  500
#define blkspeed_low   500

int main(void)
{

  led_init();

  while(1)
  {
    led_set();
    delay(blkspeed_high);
    led_clr();
    delay(blkspeed_low);
  }
}
